# -*- coding: utf-8 -*-
# Generated by Django 1.11.5 on 2017-10-25 18:57
from __future__ import unicode_literals

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('auth', '0007_auto_20150708_1134'),
    ]

    operations = [
        migrations.CreateModel(
            name='Approval',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('approvingCollaboration', models.CharField(choices=[(b'L', b'LIGO'), (b'V', b'Virgo')], max_length=1)),
            ],
        ),
        migrations.CreateModel(
            name='EMBBEventLog',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('N', models.IntegerField()),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('instrument', models.CharField(blank=True, max_length=200)),
                ('footprintID', models.TextField(blank=True)),
                ('waveband', models.CharField(choices=[(b'em.gamma', b'Gamma rays part of the spectrum'), (b'em.gamma.soft', b'Soft gamma ray (120 - 500 keV)'), (b'em.gamma.hard', b'Hard gamma ray (>500 keV)'), (b'em.X-ray', b'X-ray part of the spectrum'), (b'em.X-ray.soft', b'Soft X-ray (0.12 - 2 keV)'), (b'em.X-ray.medium', b'Medium X-ray (2 - 12 keV)'), (b'em.X-ray.hard', b'Hard X-ray (12 - 120 keV)'), (b'em.UV', b'Ultraviolet part of the spectrum'), (b'em.UV.10-50nm', b'Ultraviolet between 10 and 50 nm'), (b'em.UV.50-100nm', b'Ultraviolet between 50 and 100 nm'), (b'em.UV.100-200nm', b'Ultraviolet between 100 and 200 nm'), (b'em.UV.200-300nm', b'Ultraviolet between 200 and 300 nm'), (b'em.UV.FUV', b'Far-Infrared, 30-100 microns'), (b'em.opt', b'Optical part of the spectrum'), (b'em.opt.U', b'Optical band between 300 and 400 nm'), (b'em.opt.B', b'Optical band between 400 and 500 nm'), (b'em.opt.V', b'Optical band between 500 and 600 nm'), (b'em.opt.R', b'Optical band between 600 and 750 nm'), (b'em.opt.I', b'Optical band between 750 and 1000 nm'), (b'em.IR', b'Infrared part of the spectrum'), (b'em.IR.NIR', b'Near-Infrared, 1-5 microns'), (b'em.IR.J', b'Infrared between 1.0 and 1.5 micron'), (b'em.IR.H', b'Infrared between 1.5 and 2 micron'), (b'em.IR.K', b'Infrared between 2 and 3 micron'), (b'em.IR.MIR', b'Medium-Infrared, 5-30 microns'), (b'em.IR.3-4um', b'Infrared between 3 and 4 micron'), (b'em.IR.4-8um', b'Infrared between 4 and 8 micron'), (b'em.IR.8-15um', b'Infrared between 8 and 15 micron'), (b'em.IR.15-30um', b'Infrared between 15 and 30 micron'), (b'em.IR.30-60um', b'Infrared between 30 and 60 micron'), (b'em.IR.60-100um', b'Infrared between 60 and 100 micron'), (b'em.IR.FIR', b'Far-Infrared, 30-100 microns'), (b'em.mm', b'Millimetric part of the spectrum'), (b'em.mm.1500-3000GHz', b'Millimetric between 1500 and 3000 GHz'), (b'em.mm.750-1500GHz', b'Millimetric between 750 and 1500 GHz'), (b'em.mm.400-750GHz', b'Millimetric between 400 and 750 GHz'), (b'em.mm.200-400GHz', b'Millimetric between 200 and 400 GHz'), (b'em.mm.100-200GHz', b'Millimetric between 100 and 200 GHz'), (b'em.mm.50-100GHz', b'Millimetric between 50 and 100 GHz'), (b'em.mm.30-50GHz', b'Millimetric between 30 and 50 GHz'), (b'em.radio', b'Radio part of the spectrum'), (b'em.radio.12-30GHz', b'Radio between 12 and 30 GHz'), (b'em.radio.6-12GHz', b'Radio between 6 and 12 GHz'), (b'em.radio.3-6GHz', b'Radio between 3 and 6 GHz'), (b'em.radio.1500-3000MHz', b'Radio between 1500 and 3000 MHz'), (b'em.radio.750-1500MHz', b'Radio between 750 and 1500 MHz'), (b'em.radio.400-750MHz', b'Radio between 400 and 750 MHz'), (b'em.radio.200-400MHz', b'Radio between 200 and 400 MHz'), (b'em.radio.100-200MHz', b'Radio between 100 and 200 MHz'), (b'em.radio.20-100MHz', b'Radio between 20 and 100 MHz')], max_length=25)),
                ('ra', models.FloatField(null=True)),
                ('dec', models.FloatField(null=True)),
                ('raWidth', models.FloatField(null=True)),
                ('decWidth', models.FloatField(null=True)),
                ('gpstime', models.PositiveIntegerField(null=True)),
                ('duration', models.PositiveIntegerField(null=True)),
                ('raList', models.TextField(blank=True)),
                ('decList', models.TextField(blank=True)),
                ('raWidthList', models.TextField(blank=True)),
                ('decWidthList', models.TextField(blank=True)),
                ('gpstimeList', models.TextField(blank=True)),
                ('durationList', models.TextField(blank=True)),
                ('eel_status', models.CharField(choices=[(b'FO', b'FOOTPRINT'), (b'SO', b'SOURCE'), (b'CO', b'COMMENT'), (b'CI', b'CIRCULAR')], max_length=2)),
                ('obs_status', models.CharField(choices=[(b'NA', b'NOT APPLICABLE'), (b'OB', b'OBSERVATION'), (b'TE', b'TEST'), (b'PR', b'PREDICTION')], max_length=2)),
                ('comment', models.TextField(blank=True)),
                ('extra_info_dict', models.TextField(blank=True)),
            ],
            options={
                'ordering': ['-created', '-N'],
            },
        ),
        migrations.CreateModel(
            name='EMFootprint',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('N', models.IntegerField()),
                ('ra', models.FloatField()),
                ('dec', models.FloatField()),
                ('raWidth', models.FloatField()),
                ('decWidth', models.FloatField()),
                ('start_time', models.DateTimeField()),
                ('exposure_time', models.PositiveIntegerField()),
            ],
            options={
                'ordering': ['-N'],
            },
        ),
        migrations.CreateModel(
            name='EMGroup',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=50, unique=True)),
            ],
        ),
        migrations.CreateModel(
            name='EMObservation',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('N', models.IntegerField()),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('ra', models.FloatField(null=True)),
                ('dec', models.FloatField(null=True)),
                ('raWidth', models.FloatField(null=True)),
                ('decWidth', models.FloatField(null=True)),
                ('comment', models.TextField(blank=True)),
            ],
            options={
                'ordering': ['-created', '-N'],
            },
        ),
        migrations.CreateModel(
            name='Event',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('instruments', models.CharField(default=b'', max_length=20)),
                ('nevents', models.PositiveIntegerField(null=True)),
                ('far', models.FloatField(null=True)),
                ('likelihood', models.FloatField(null=True)),
                ('gpstime', models.DecimalField(decimal_places=6, max_digits=16, null=True)),
                ('perms', models.TextField(null=True)),
                ('offline', models.BooleanField(default=False)),
            ],
            options={
                'ordering': ['-id'],
            },
        ),
        migrations.CreateModel(
            name='EventLog',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('filename', models.CharField(default=b'', max_length=100)),
                ('comment', models.TextField()),
                ('N', models.IntegerField()),
                ('file_version', models.IntegerField(null=True)),
            ],
            options={
                'ordering': ['-created', '-N'],
            },
        ),
        migrations.CreateModel(
            name='Group',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=20)),
            ],
        ),
        migrations.CreateModel(
            name='Label',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=20, unique=True)),
                ('defaultColor', models.CharField(default=b'black', max_length=20)),
                ('description', models.TextField()),
            ],
        ),
        migrations.CreateModel(
            name='Labelling',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('creator', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.CreateModel(
            name='Pipeline',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=100)),
            ],
        ),
        migrations.CreateModel(
            name='Search',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=100)),
                ('description', models.TextField(blank=True)),
            ],
        ),
        migrations.CreateModel(
            name='Signoff',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('signoff_type', models.CharField(choices=[(b'OP', b'operator'), (b'ADV', b'advocate')], max_length=3)),
                ('instrument', models.CharField(blank=True, choices=[(b'H1', b'LHO'), (b'L1', b'LLO'), (b'V1', b'Virgo')], max_length=2)),
                ('status', models.CharField(choices=[(b'OK', b'OKAY'), (b'NO', b'NOT OKAY')], max_length=2)),
                ('comment', models.TextField(blank=True)),
            ],
        ),
        migrations.CreateModel(
            name='SingleInspiral',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('ifo', models.CharField(max_length=20, null=True)),
                ('search', models.CharField(max_length=20, null=True)),
                ('channel', models.CharField(blank=True, max_length=20)),
                ('end_time', models.IntegerField(null=True)),
                ('end_time_ns', models.IntegerField(null=True)),
                ('end_time_gmst', models.FloatField(null=True)),
                ('impulse_time', models.IntegerField(null=True)),
                ('impulse_time_ns', models.IntegerField(null=True)),
                ('template_duration', models.FloatField(null=True)),
                ('event_duration', models.FloatField(null=True)),
                ('amplitude', models.FloatField(null=True)),
                ('eff_distance', models.FloatField(null=True)),
                ('coa_phase', models.FloatField(null=True)),
                ('mass1', models.FloatField(null=True)),
                ('mass2', models.FloatField(null=True)),
                ('mchirp', models.FloatField(null=True)),
                ('mtotal', models.FloatField(null=True)),
                ('eta', models.FloatField(null=True)),
                ('kappa', models.FloatField(null=True)),
                ('chi', models.FloatField(null=True)),
                ('tau0', models.FloatField(null=True)),
                ('tau2', models.FloatField(null=True)),
                ('tau3', models.FloatField(null=True)),
                ('tau4', models.FloatField(null=True)),
                ('tau5', models.FloatField(null=True)),
                ('ttotal', models.FloatField(null=True)),
                ('psi0', models.FloatField(null=True)),
                ('psi3', models.FloatField(null=True)),
                ('alpha', models.FloatField(null=True)),
                ('alpha1', models.FloatField(null=True)),
                ('alpha2', models.FloatField(null=True)),
                ('alpha3', models.FloatField(null=True)),
                ('alpha4', models.FloatField(null=True)),
                ('alpha5', models.FloatField(null=True)),
                ('alpha6', models.FloatField(null=True)),
                ('beta', models.FloatField(null=True)),
                ('f_final', models.FloatField(null=True)),
                ('snr', models.FloatField(null=True)),
                ('chisq', models.FloatField(null=True)),
                ('chisq_dof', models.IntegerField(null=True)),
                ('bank_chisq', models.FloatField(null=True)),
                ('bank_chisq_dof', models.IntegerField(null=True)),
                ('cont_chisq', models.FloatField(null=True)),
                ('cont_chisq_dof', models.IntegerField(null=True)),
                ('sigmasq', models.FloatField(null=True)),
                ('rsqveto_duration', models.FloatField(null=True)),
                ('Gamma0', models.FloatField(null=True)),
                ('Gamma1', models.FloatField(null=True)),
                ('Gamma2', models.FloatField(null=True)),
                ('Gamma3', models.FloatField(null=True)),
                ('Gamma4', models.FloatField(null=True)),
                ('Gamma5', models.FloatField(null=True)),
                ('Gamma6', models.FloatField(null=True)),
                ('Gamma7', models.FloatField(null=True)),
                ('Gamma8', models.FloatField(null=True)),
                ('Gamma9', models.FloatField(null=True)),
                ('spin1x', models.FloatField(null=True)),
                ('spin1y', models.FloatField(null=True)),
                ('spin1z', models.FloatField(null=True)),
                ('spin2x', models.FloatField(null=True)),
                ('spin2y', models.FloatField(null=True)),
                ('spin2z', models.FloatField(null=True)),
            ],
        ),
        migrations.CreateModel(
            name='Tag',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=100)),
                ('displayName', models.CharField(max_length=200, null=True)),
                ('eventlogs', models.ManyToManyField(to='events.EventLog')),
            ],
        ),
        migrations.CreateModel(
            name='VOEvent',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('ivorn', models.CharField(default=b'', max_length=200)),
                ('filename', models.CharField(default=b'', max_length=100)),
                ('file_version', models.IntegerField(null=True)),
                ('N', models.IntegerField()),
                ('voevent_type', models.CharField(choices=[(b'PR', b'preliminary'), (b'IN', b'initial'), (b'UP', b'update'), (b'RE', b'retraction')], max_length=2)),
            ],
            options={
                'ordering': ['-created', '-N'],
            },
        ),
        migrations.CreateModel(
            name='CoincInspiralEvent',
            fields=[
                ('event_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='events.Event')),
                ('ifos', models.CharField(default=b'', max_length=20)),
                ('end_time', models.PositiveIntegerField(null=True)),
                ('end_time_ns', models.PositiveIntegerField(null=True)),
                ('mass', models.FloatField(null=True)),
                ('mchirp', models.FloatField(null=True)),
                ('minimum_duration', models.FloatField(null=True)),
                ('snr', models.FloatField(null=True)),
                ('false_alarm_rate', models.FloatField(null=True)),
                ('combined_far', models.FloatField(null=True)),
            ],
            bases=('events.event',),
        ),
        migrations.CreateModel(
            name='GrbEvent',
            fields=[
                ('event_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='events.Event')),
                ('ivorn', models.CharField(max_length=200, null=True)),
                ('author_ivorn', models.CharField(max_length=200, null=True)),
                ('author_shortname', models.CharField(max_length=200, null=True)),
                ('observatory_location_id', models.CharField(max_length=200, null=True)),
                ('coord_system', models.CharField(max_length=200, null=True)),
                ('ra', models.FloatField(null=True)),
                ('dec', models.FloatField(null=True)),
                ('error_radius', models.FloatField(null=True)),
                ('how_description', models.CharField(max_length=200, null=True)),
                ('how_reference_url', models.URLField(null=True)),
                ('trigger_duration', models.FloatField(null=True)),
                ('t90', models.FloatField(null=True)),
                ('designation', models.CharField(max_length=20, null=True)),
                ('redshift', models.FloatField(null=True)),
                ('trigger_id', models.CharField(max_length=25, null=True)),
            ],
            bases=('events.event',),
        ),
        migrations.CreateModel(
            name='LalInferenceBurstEvent',
            fields=[
                ('event_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='events.Event')),
                ('bci', models.FloatField(null=True)),
                ('quality_mean', models.FloatField(null=True)),
                ('quality_median', models.FloatField(null=True)),
                ('bsn', models.FloatField(null=True)),
                ('omicron_snr_network', models.FloatField(null=True)),
                ('omicron_snr_H1', models.FloatField(null=True)),
                ('omicron_snr_L1', models.FloatField(null=True)),
                ('omicron_snr_V1', models.FloatField(null=True)),
                ('hrss_mean', models.FloatField(null=True)),
                ('hrss_median', models.FloatField(null=True)),
                ('frequency_mean', models.FloatField(null=True)),
                ('frequency_median', models.FloatField(null=True)),
            ],
            bases=('events.event',),
        ),
        migrations.CreateModel(
            name='MultiBurstEvent',
            fields=[
                ('event_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='events.Event')),
                ('ifos', models.CharField(default=b'', max_length=20)),
                ('start_time', models.PositiveIntegerField(null=True)),
                ('start_time_ns', models.PositiveIntegerField(null=True)),
                ('duration', models.FloatField(null=True)),
                ('peak_time', models.PositiveIntegerField(null=True)),
                ('peak_time_ns', models.PositiveIntegerField(null=True)),
                ('central_freq', models.FloatField(null=True)),
                ('bandwidth', models.FloatField(null=True)),
                ('amplitude', models.FloatField(null=True)),
                ('snr', models.FloatField(null=True)),
                ('confidence', models.FloatField(null=True)),
                ('false_alarm_rate', models.FloatField(null=True)),
                ('ligo_axis_ra', models.FloatField(null=True)),
                ('ligo_axis_dec', models.FloatField(null=True)),
                ('ligo_angle', models.FloatField(null=True)),
                ('ligo_angle_sig', models.FloatField(null=True)),
                ('single_ifo_times', models.CharField(default=b'', max_length=255)),
            ],
            bases=('events.event',),
        ),
        migrations.CreateModel(
            name='SimInspiralEvent',
            fields=[
                ('event_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='events.Event')),
                ('mass1', models.FloatField(null=True)),
                ('mass2', models.FloatField(null=True)),
                ('eta', models.FloatField(null=True)),
                ('amp_order', models.IntegerField(null=True)),
                ('coa_phase', models.FloatField(null=True)),
                ('mchirp', models.FloatField(null=True)),
                ('spin1y', models.FloatField(null=True)),
                ('spin1x', models.FloatField(null=True)),
                ('spin1z', models.FloatField(null=True)),
                ('spin2x', models.FloatField(null=True)),
                ('spin2y', models.FloatField(null=True)),
                ('spin2z', models.FloatField(null=True)),
                ('geocent_end_time', models.IntegerField(null=True)),
                ('geocent_end_time_ns', models.IntegerField(null=True)),
                ('end_time_gmst', models.FloatField(null=True)),
                ('f_lower', models.FloatField(null=True)),
                ('f_final', models.FloatField(null=True)),
                ('distance', models.FloatField(null=True)),
                ('latitude', models.FloatField(null=True)),
                ('longitude', models.FloatField(null=True)),
                ('polarization', models.FloatField(null=True)),
                ('inclination', models.FloatField(null=True)),
                ('theta0', models.FloatField(null=True)),
                ('phi0', models.FloatField(null=True)),
                ('waveform', models.CharField(blank=True, default=b'', max_length=50)),
                ('numrel_mode_min', models.IntegerField(null=True)),
                ('numrel_mode_max', models.IntegerField(null=True)),
                ('numrel_data', models.CharField(blank=True, default=b'', max_length=50)),
                ('source', models.CharField(blank=True, default=b'', max_length=50)),
                ('taper', models.CharField(blank=True, default=b'', max_length=50)),
                ('bandpass', models.IntegerField(null=True)),
                ('alpha', models.FloatField(null=True)),
                ('beta', models.FloatField(null=True)),
                ('psi0', models.FloatField(null=True)),
                ('psi3', models.FloatField(null=True)),
                ('alpha1', models.FloatField(null=True)),
                ('alpha2', models.FloatField(null=True)),
                ('alpha3', models.FloatField(null=True)),
                ('alpha4', models.FloatField(null=True)),
                ('alpha5', models.FloatField(null=True)),
                ('alpha6', models.FloatField(null=True)),
                ('g_end_time', models.IntegerField(null=True)),
                ('g_end_time_ns', models.IntegerField(null=True)),
                ('h_end_time', models.IntegerField(null=True)),
                ('h_end_time_ns', models.IntegerField(null=True)),
                ('l_end_time', models.IntegerField(null=True)),
                ('l_end_time_ns', models.IntegerField(null=True)),
                ('t_end_time', models.IntegerField(null=True)),
                ('t_end_time_ns', models.IntegerField(null=True)),
                ('v_end_time', models.IntegerField(null=True)),
                ('v_end_time_ns', models.IntegerField(null=True)),
                ('eff_dist_g', models.FloatField(null=True)),
                ('eff_dist_h', models.FloatField(null=True)),
                ('eff_dist_l', models.FloatField(null=True)),
                ('eff_dist_t', models.FloatField(null=True)),
                ('eff_dist_v', models.FloatField(null=True)),
                ('source_channel', models.CharField(blank=True, default=b'', max_length=50)),
                ('destination_channel', models.CharField(blank=True, default=b'', max_length=50)),
            ],
            bases=('events.event',),
        ),
        migrations.AddField(
            model_name='voevent',
            name='event',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='events.Event'),
        ),
        migrations.AddField(
            model_name='voevent',
            name='issuer',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL),
        ),
        migrations.AddField(
            model_name='singleinspiral',
            name='event',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='events.Event'),
        ),
        migrations.AddField(
            model_name='signoff',
            name='event',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='events.Event'),
        ),
        migrations.AddField(
            model_name='signoff',
            name='submitter',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL),
        ),
        migrations.AddField(
            model_name='labelling',
            name='event',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='events.Event'),
        ),
        migrations.AddField(
            model_name='labelling',
            name='label',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='events.Label'),
        ),
        migrations.AddField(
            model_name='eventlog',
            name='event',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='events.Event'),
        ),
        migrations.AddField(
            model_name='eventlog',
            name='issuer',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL),
        ),
        migrations.AddField(
            model_name='event',
            name='group',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='events.Group'),
        ),
        migrations.AddField(
            model_name='event',
            name='labels',
            field=models.ManyToManyField(through='events.Labelling', to='events.Label'),
        ),
        migrations.AddField(
            model_name='event',
            name='pipeline',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='events.Pipeline'),
        ),
        migrations.AddField(
            model_name='event',
            name='search',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='events.Search'),
        ),
        migrations.AddField(
            model_name='event',
            name='submitter',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL),
        ),
        migrations.AddField(
            model_name='emobservation',
            name='event',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='events.Event'),
        ),
        migrations.AddField(
            model_name='emobservation',
            name='group',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='events.EMGroup'),
        ),
        migrations.AddField(
            model_name='emobservation',
            name='submitter',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL),
        ),
        migrations.AddField(
            model_name='emfootprint',
            name='observation',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='events.EMObservation'),
        ),
        migrations.AddField(
            model_name='embbeventlog',
            name='event',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='events.Event'),
        ),
        migrations.AddField(
            model_name='embbeventlog',
            name='group',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='events.EMGroup'),
        ),
        migrations.AddField(
            model_name='embbeventlog',
            name='submitter',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL),
        ),
        migrations.AddField(
            model_name='approval',
            name='approvedEvent',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='events.Event'),
        ),
        migrations.AddField(
            model_name='approval',
            name='approver',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL),
        ),
        migrations.AlterUniqueTogether(
            name='voevent',
            unique_together=set([('event', 'N')]),
        ),
        migrations.AlterUniqueTogether(
            name='signoff',
            unique_together=set([('event', 'instrument')]),
        ),
        migrations.AlterUniqueTogether(
            name='eventlog',
            unique_together=set([('event', 'N')]),
        ),
        migrations.AlterUniqueTogether(
            name='emobservation',
            unique_together=set([('event', 'N')]),
        ),
        migrations.AlterUniqueTogether(
            name='emfootprint',
            unique_together=set([('observation', 'N')]),
        ),
        migrations.AlterUniqueTogether(
            name='embbeventlog',
            unique_together=set([('event', 'N')]),
        ),
    ]
