# -*- coding: utf-8 -*-
# Generated by Django 1.11.5 on 2018-04-06 18:24
#
# Data migration for copying data from the old 'through' table between
# eventlogs and tags to the new 'through' table.

from __future__ import unicode_literals

from django.db import migrations

def data_to_new_table(apps, schema_editor):
    Tag = apps.get_model('events', 'Tag')

    for t in Tag.objects.all():
        t.eventlog_set.add(*t.eventlogs.all())

def data_to_old_table(apps, schema_editor):
    Tag = apps.get_model('events', 'Tag')

    for t in Tag.objects.all():
        t.eventlogs.add(*t.eventlog_set.all())

class Migration(migrations.Migration):

    dependencies = [
        ('events', '0014_eventlog_tags'),
    ]

    operations = [
        migrations.RunPython(data_to_new_table, data_to_old_table),
    ]
