# -*- coding: utf-8 -*-
# Generated by Django 1.11.18 on 2019-01-24 03:04
from __future__ import unicode_literals

from django.db import migrations

ACCOUNT = {
    'name': 'olib',
    'new_cert': '/DC=org/DC=cilogon/C=US/O=LIGO/OU=Robots/CN=ldas-pcdev1.ligo.caltech.edu/CN=olib/CN=Erik Katsavounidis/CN=UID:erik.katsavounidis.robot',
}


def add_cert(apps, schema_editor):
    User = apps.get_model('auth', 'User')


    # Get user
    user = User.objects.get(username=ACCOUNT['name'])

    # Create new certificate
    user.x509cert_set.create(subject=ACCOUNT['new_cert'])


def delete_cert(apps, schema_editor):
    User = apps.get_model('auth', 'User')

    # Get user
    user = User.objects.get(username=ACCOUNT['name'])

    # Delete new certificate
    cert = user.x509cert_set.get(subject=ACCOUNT['new_cert'])
    cert.delete()


class Migration(migrations.Migration):

    dependencies = [
        ('ligoauth', '0021_create_deepclean_account_and_certs'),
    ]

    operations = [
        migrations.RunPython(add_cert, delete_cert),
    ]
