# -*- coding: utf-8 -*-
# Generated by Django 1.11.20 on 2019-07-08 20:30
from __future__ import unicode_literals

from django.db import migrations

# NOTE: membership in the 'executives' group has been managed by a script in a
# separate repo in the past, so this migration is the starting point for
# going away from that workflow.  Also, the executives group will eventually
# be replaced by the 'access_managers' group, but until we update the
# permissions structure in the events app, we have to maintain it.
EXECUTIVES = [
    'patrick.brady@LIGO.ORG',
    'tanner.prestegard@LIGO.ORG',
    'alexander.pace@LIGO.ORG',
]


def update_membership(apps, schema_editor):
    User = apps.get_model('auth', 'User')
    AuthGroup = apps.get_model('ligoauth', 'AuthGroup')

    # Get executives group
    execs = AuthGroup.objects.get(name='executives')

    # Clear membership
    execs.user_set.clear()

    # Add users
    for username in EXECUTIVES:
        user, _ = User.objects.get_or_create(username=username)
        execs.user_set.add(user)


class Migration(migrations.Migration):

    dependencies = [
        ('ligoauth', '0047_add_emfollow_cert'),
    ]

    operations = [
        migrations.RunPython(update_membership, migrations.RunPython.noop),
    ]
