# -*- coding: utf-8 -*-
# Generated by Django 1.11.20 on 2019-07-08 20:37
from __future__ import unicode_literals

from django.db import migrations

ACCESS_MANAGERS = [
    'alexander.pace@LIGO.ORG',
    'brian.oreilly@LIGO.ORG',
    'emfollow',
    'erik.katsavounidis@LIGO.ORG',
    'keita.kawabe@LIGO.ORG',
    'leo.singer@LIGO.ORG',
    'patrick.brady@LIGO.ORG',
    'peter.shawhan@LIGO.ORG',
    'sarah.antier@LIGO.ORG',
    'shaon.ghosh@LIGO.ORG',
    'tanner.prestegard@LIGO.ORG',
]


def update_membership(apps, schema_editor):
    User = apps.get_model('auth', 'User')
    AuthGroup = apps.get_model('ligoauth', 'AuthGroup')

    # Get access_managers group
    group = AuthGroup.objects.get(name='access_managers')

    # Clear membership
    group.user_set.clear()

    # Add users
    for username in ACCESS_MANAGERS:
        user, _ = User.objects.get_or_create(username=username)
        group.user_set.add(user)


class Migration(migrations.Migration):

    dependencies = [
        ('ligoauth', '0048_update_executives_membership'),
    ]

    operations = [
        migrations.RunPython(update_membership, migrations.RunPython.noop),
    ]
