# -*- coding: utf-8 -*-
# Generated by Django 1.11.20 on 2019-06-03 20:10
from __future__ import unicode_literals

from django.db import migrations

# detchar is on a tear getting new certs, so I'm doing three
# at once.

gracedb_account = 'emfollow'
new_certs = ['/DC=org/DC=cilogon/C=US/O=LIGO/OU=Robots/CN=emfollow-test.ligo.caltech.edu/CN=emfollow-test/CN=Leo Singer/CN=UID:leo.singer.robot',]


def add_cert(apps, schema_editor):
    RobotUser = apps.get_model('auth', 'User')

    # Get user
    user = RobotUser.objects.get(username=gracedb_account)

    # Create new certificates
    for cert in new_certs:
        user.x509cert_set.create(subject=cert)


def delete_cert(apps, schema_editor):
    RobotUser = apps.get_model('auth', 'User')

    # Get user
    user = RobotUser.objects.get(username=gracedb_account)

    # Delete new certificates
    for cert in new_certs:
      cert = user.x509cert_set.get(subject=cert)
      cert.delete()


class Migration(migrations.Migration):

    dependencies = [
        ('ligoauth', '0059_grb_exttrig_cert'),
    ]

    operations = [
        migrations.RunPython(add_cert, delete_cert),
    ]